import e from "./value.js";
//#region ../../node_modules/d3-interpolate/src/array.js
function t(t, n) {
	var r = n ? n.length : 0, i = t ? Math.min(r, t.length) : 0, a = Array(i), o = Array(r), s;
	for (s = 0; s < i; ++s) a[s] = e(t[s], n[s]);
	for (; s < r; ++s) o[s] = n[s];
	return function(e) {
		for (s = 0; s < i; ++s) o[s] = a[s](e);
		return o;
	};
}
//#endregion
export { t as genericArray };
